Build failed in Jenkins: ovirt_3.6_system-tests #699
by jenkins@jenkins.phx.ovirt.org
See <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/699/changes>
Changes:
[Gal Ben Haim] Switched the mock automation scripts to symlinks
------------------------------------------
[...truncated 674 lines...]
## rc = 1
##########################################################
##! ERROR vvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvvv
##! Last 20 log entries: logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh/basic_suite_3.6.sh.log
##!
+ env_cleanup
+ echo '#########################'
#########################
+ local res=0
+ local uuid
+ echo '======== Cleaning up'
======== Cleaning up
+ [[ -e <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ echo '----------- Cleaning with lago'
----------- Cleaning with lago
+ lago --workdir <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> destroy --yes --all-prefixes
+ echo '----------- Cleaning with lago done'
----------- Cleaning with lago done
+ [[ 0 != \0 ]]
+ echo '======== Cleanup done'
======== Cleanup done
+ exit 0
+ exit
Took 290 seconds
===================================
##!
##! ERROR ^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^
##!########################################################
##########################################################
Build step 'Execute shell' marked build as failure
Performing Post build task...
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo 'shell_scripts/system_tests.collect_logs.sh'
#
# Required jjb vars:
# version
#
VERSION=3.6
SUITE_TYPE=
WORKSPACE="$PWD"
OVIRT_SUITE="$SUITE_TYPE_suite_$VERSION"
TESTS_LOGS="$WORKSPACE/ovirt-system-tests/exported-artifacts"
rm -rf "$WORKSPACE/exported-artifacts"
mkdir -p "$WORKSPACE/exported-artifacts"
if [[ -d "$TESTS_LOGS" ]]; then
mv "$TESTS_LOGS/"* "$WORKSPACE/exported-artifacts/"
fi
[ovirt_3.6_system-tests] $ /bin/bash -xe /tmp/hudson5385837909085267896.sh
+ echo shell_scripts/system_tests.collect_logs.sh
shell_scripts/system_tests.collect_logs.sh
+ VERSION=3.6
+ SUITE_TYPE=
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
+ OVIRT_SUITE=3.6
+ TESTS_LOGS=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
+ rm -rf <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/699/artifact/exported...>
+ mkdir -p <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/699/artifact/exported...>
+ [[ -d <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ mv <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/699/artifact/exported...>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 0
Match found for :.* : True
Logical operation result is TRUE
Running script : #!/bin/bash -xe
echo "shell-scripts/mock_cleanup.sh"
shopt -s nullglob
WORKSPACE="$PWD"
# Make clear this is the cleanup, helps reading the jenkins logs
cat <<EOC
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
EOC
# Archive the logs, we want them anyway
logs=(
./*log
./*/logs
)
if [[ "$logs" ]]; then
tar cvzf exported-artifacts/logs.tgz "${logs[@]}"
rm -rf "${logs[@]}"
fi
# stop any processes running inside the chroot
failed=false
mock_confs=("$WORKSPACE"/*/mocker*)
# Clean current jobs mockroot if any
for mock_conf_file in "${mock_confs[@]}"; do
[[ "$mock_conf_file" ]] || continue
echo "Cleaning up mock $mock_conf"
mock_root="${mock_conf_file##*/}"
mock_root="${mock_root%.*}"
my_mock="/usr/bin/mock"
my_mock+=" --configdir=${mock_conf_file%/*}"
my_mock+=" --root=${mock_root}"
my_mock+=" --resultdir=$WORKSPACE"
#TODO: investigate why mock --clean fails to umount certain dirs sometimes,
#so we can use it instead of manually doing all this.
echo "Killing all mock orphan processes, if any."
$my_mock \
--orphanskill \
|| {
echo "ERROR: Failed to kill orphans on $chroot."
failed=true
}
mock_root="$(\
grep \
-Po "(?<=config_opts\['root'\] = ')[^']*" \
"$mock_conf_file" \
)" || :
[[ "$mock_root" ]] || continue
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $chroot. Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
}
done
done
# Clean any leftover chroot from other jobs
for mock_root in /var/lib/mock/*; do
this_chroot_failed=false
mounts=($(mount | awk '{print $3}' | grep "$mock_root")) || :
if [[ "$mounts" ]]; then
echo "Found mounted dirs inside the chroot $mock_root." \
"Trying to umount."
fi
for mount in "${mounts[@]}"; do
sudo umount --lazy "$mount" \
|| {
echo "ERROR: Failed to umount $mount."
failed=true
this_chroot_failed=true
}
done
if ! $this_chroot_failed; then
sudo rm -rf "$mock_root"
fi
done
if $failed; then
echo "Aborting."
exit 1
fi
# remove mock system cache, we will setup proxies to do the caching and this
# takes lots of space between runs
shopt -u nullglob
sudo rm -Rf /var/cache/mock/*
# restore the permissions in the working dir, as sometimes it leaves files
# owned by root and then the 'cleanup workspace' from jenkins job fails to
# clean and breaks the jobs
sudo chown -R "$USER" "$WORKSPACE"
[ovirt_3.6_system-tests] $ /bin/bash -xe /tmp/hudson6141757805609995842.sh
+ echo shell-scripts/mock_cleanup.sh
shell-scripts/mock_cleanup.sh
+ shopt -s nullglob
+ WORKSPACE=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
+ cat
_______________________________________________________________________
#######################################################################
# #
# CLEANUP #
# #
#######################################################################
+ logs=(./*log ./*/logs)
+ [[ -n ./ovirt-system-tests/logs ]]
+ tar cvzf exported-artifacts/logs.tgz ./ovirt-system-tests/logs
./ovirt-system-tests/logs/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.basic_suite_3.6.sh/basic_suite_3.6.sh.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.init/state.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.clean_rpmdb/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/stdout_stderr.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/build.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/root.log
./ovirt-system-tests/logs/mocker-fedora-23-x86_64.fc23.install_packages/state.log
+ rm -rf ./ovirt-system-tests/logs
+ failed=false
+ mock_confs=("$WORKSPACE"/*/mocker*)
+ for mock_conf_file in '"${mock_confs[@]}"'
+ [[ -n <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...> ]]
+ echo 'Cleaning up mock '
Cleaning up mock
+ mock_root=mocker-fedora-23-x86_64.fc23.cfg
+ mock_root=mocker-fedora-23-x86_64.fc23
+ my_mock=/usr/bin/mock
+ my_mock+=' --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests'>
+ my_mock+=' --root=mocker-fedora-23-x86_64.fc23'
+ my_mock+=' --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/'>
+ echo 'Killing all mock orphan processes, if any.'
Killing all mock orphan processes, if any.
+ /usr/bin/mock --configdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests> --root=mocker-fedora-23-x86_64.fc23 --resultdir=<http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/> --orphanskill
WARNING: Could not find required logging config file: <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests....> Using default...
INFO: mock.py version 1.2.21 starting (python version = 3.4.3)...
Start: init plugins
INFO: selinux enabled
Finish: init plugins
Start: run
Finish: run
++ grep -Po '(?<=config_opts\['\''root'\''\] = '\'')[^'\'']*' <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/ovirt-system-tests...>
+ mock_root=fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ [[ -n fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c ]]
+ mounts=($(mount | awk '{print $3}' | grep "$mock_root"))
++ mount
++ awk '{print $3}'
++ grep fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ :
+ [[ -n '' ]]
+ false
+ shopt -u nullglob
+ sudo rm -Rf /var/cache/mock/fedora-23-x86_64-235bec7d0621e95d1cae73d7cf9dc27c
+ sudo chown -R jenkins <http://jenkins.ovirt.org/job/ovirt_3.6_system-tests/ws/>
POST BUILD TASK : SUCCESS
END OF POST BUILD TASK : 1
Recording test results
ERROR: Step ‘Publish JUnit test result report’ failed: No test report files were found. Configuration error?
Archiving artifacts
8 years, 1 month
[JIRA] (OVIRT-810) Cache issues
by eyal edri [Administrator] (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-810?page=com.atlassian.jira... ]
eyal edri [Administrator] updated OVIRT-810:
--------------------------------------------
Resolution: Duplicate
Status: Done (was: To Do)
We'll track this on #OVIRT-811
> Cache issues
> ------------
>
> Key: OVIRT-810
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-810
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: Piotr Kliczewski
> Assignee: infra
>
> We saw artififactory cache refresh issues which zapping cache was not able
> to solve. Once that was overcame we saw issues with engine upgrade jobs due
> to local cache which is used by those jobs.
--
This message was sent by Atlassian JIRA
(v1000.499.4#100018)
8 years, 1 month
[JIRA] (OVIRT-811) debug artifactory issues with cacsh for vdsm-jsonrpc-java
by eyal edri [Administrator] (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-811?page=com.atlassian.jira... ]
eyal edri [Administrator] updated OVIRT-811:
--------------------------------------------
Summary: debug artifactory issues with cacsh for vdsm-jsonrpc-java (was: upgrade jobs failing trying to make engine RPM)
> debug artifactory issues with cacsh for vdsm-jsonrpc-java
> ---------------------------------------------------------
>
> Key: OVIRT-811
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-811
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: Greg Sheremeta
> Assignee: infra
>
> Hey, not sure if this is related to the one I reported earlier this week.
> https://gerrit.ovirt.org/#/c/66095/2
> I also noticed it on one of Juan's patches,
> https://gerrit.ovirt.org/#/c/66032/
> Logs:
> http://jenkins.ovirt.org/job/ovirt-engine_master_upgrade-from-3.6_el7_cre...
> http://jenkins.ovirt.org/job/ovirt-engine_master_upgrade-from-master_el7_...
> http://jenkins.ovirt.org/job/ovirt-engine_master_upgrade-from-4.0_el7_cre...
> All 3 appear to die trying to make the RPM. SRPM was successful.
> BUILDING ENGINE RPM
> + create_rpms
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo/ovirt-engine-4.1.0-0.0.master.20161104192441.el7.centos.src.rpm
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo
> .git4fe2734
> + local
> src_rpm=/home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo/ovirt-engine-4.1.0-0.0.master.20161104192441.el7.centos.src.rpm
> + local
> dst_dir=/home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo
> + local release=.git4fe2734
> + local
> workspace=/home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created
> + local 'BUILD_JAVA_OPTS_MAVEN= -XX:MaxPermSize=1G
> -Dgwt.compiler.localWorkers=1 '
> + local 'BUILD_JAVA_OPTS_GWT= -XX:PermSize=512M -XX:MaxPermSize=1G
> -Xms1G -Xmx6G '
> + env 'BUILD_JAVA_OPTS_MAVEN= -XX:MaxPermSize=1G
> -Dgwt.compiler.localWorkers=1 ' 'BUILD_JAVA_OPTS_GWT= -XX:PermSize=512M
> -XX:MaxPermSize=1G -Xms1G -Xmx6G ' rpmbuild -D
> 'ovirt_build_minimal 1' -D 'release_suffix .git4fe2734' -D
> 'ovirt_build_extra_flags -gs
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/artifactory-ovirt-org-settings.xml'
> -D '_srcrpmdir
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo'
> -D '_specdir
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo'
> -D '_sourcedir
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo'
> -D '_rpmdir
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo'
> -D '_builddir
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo'
> --rebuild
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo/ovirt-engine-4.1.0-0.0.master.20161104192441.el7.centos.src.rpm
> + return 1
> Build step 'Execute shell' marked build as failure
> Performing Post build task...
> --
> Greg Sheremeta, MBA
> Red Hat, Inc.
> Sr. Software Engineer
> gshereme(a)redhat.com
--
This message was sent by Atlassian JIRA
(v1000.499.4#100018)
8 years, 1 month
[JIRA] (OVIRT-811) debug artifactory issues with cacsh for vdsm-jsonrpc-java
by eyal edri [Administrator] (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-811?page=com.atlassian.jira... ]
eyal edri [Administrator] reassigned OVIRT-811:
-----------------------------------------------
Assignee: Evgheni Dereveanchin (was: infra)
> debug artifactory issues with cacsh for vdsm-jsonrpc-java
> ---------------------------------------------------------
>
> Key: OVIRT-811
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-811
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: Greg Sheremeta
> Assignee: Evgheni Dereveanchin
>
> Hey, not sure if this is related to the one I reported earlier this week.
> https://gerrit.ovirt.org/#/c/66095/2
> I also noticed it on one of Juan's patches,
> https://gerrit.ovirt.org/#/c/66032/
> Logs:
> http://jenkins.ovirt.org/job/ovirt-engine_master_upgrade-from-3.6_el7_cre...
> http://jenkins.ovirt.org/job/ovirt-engine_master_upgrade-from-master_el7_...
> http://jenkins.ovirt.org/job/ovirt-engine_master_upgrade-from-4.0_el7_cre...
> All 3 appear to die trying to make the RPM. SRPM was successful.
> BUILDING ENGINE RPM
> + create_rpms
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo/ovirt-engine-4.1.0-0.0.master.20161104192441.el7.centos.src.rpm
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo
> .git4fe2734
> + local
> src_rpm=/home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo/ovirt-engine-4.1.0-0.0.master.20161104192441.el7.centos.src.rpm
> + local
> dst_dir=/home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo
> + local release=.git4fe2734
> + local
> workspace=/home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created
> + local 'BUILD_JAVA_OPTS_MAVEN= -XX:MaxPermSize=1G
> -Dgwt.compiler.localWorkers=1 '
> + local 'BUILD_JAVA_OPTS_GWT= -XX:PermSize=512M -XX:MaxPermSize=1G
> -Xms1G -Xmx6G '
> + env 'BUILD_JAVA_OPTS_MAVEN= -XX:MaxPermSize=1G
> -Dgwt.compiler.localWorkers=1 ' 'BUILD_JAVA_OPTS_GWT= -XX:PermSize=512M
> -XX:MaxPermSize=1G -Xms1G -Xmx6G ' rpmbuild -D
> 'ovirt_build_minimal 1' -D 'release_suffix .git4fe2734' -D
> 'ovirt_build_extra_flags -gs
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/artifactory-ovirt-org-settings.xml'
> -D '_srcrpmdir
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo'
> -D '_specdir
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo'
> -D '_sourcedir
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo'
> -D '_rpmdir
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo'
> -D '_builddir
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo'
> --rebuild
> /home/jenkins/workspace/ovirt-engine_master_upgrade-from-3.6_el7_created/tmp_repo/ovirt-engine-4.1.0-0.0.master.20161104192441.el7.centos.src.rpm
> + return 1
> Build step 'Execute shell' marked build as failure
> Performing Post build task...
> --
> Greg Sheremeta, MBA
> Red Hat, Inc.
> Sr. Software Engineer
> gshereme(a)redhat.com
--
This message was sent by Atlassian JIRA
(v1000.499.4#100018)
8 years, 1 month
[JIRA] (OVIRT-612) Support to FTP files for Kimchi Project
by Paulo Ricardo Paz Vital (oVirt JIRA)
[ https://ovirt-jira.atlassian.net/browse/OVIRT-612?page=com.atlassian.jira... ]
Paulo Ricardo Paz Vital commented on OVIRT-612:
-----------------------------------------------
Hey [~eedri]
I discussed with the team about it and we have decided to not continue with this approach at this moment.
I'll close this ticket and appreciate all support provided by you guys.
> Support to FTP files for Kimchi Project
> ---------------------------------------
>
> Key: OVIRT-612
> URL: https://ovirt-jira.atlassian.net/browse/OVIRT-612
> Project: oVirt - virtualization made easy
> Issue Type: By-EMAIL
> Reporter: Paulo Ricardo Paz Vital
> Assignee: infra
>
> Hello,
> Kimchi is a sub-project of oVirt and we are planning to make available to users
> simple qcow2 image files of Fedora 23, OpenSUSE 42.1 and Ubuntu 16.04 with
> Kimchi installed in there.
> We need support to store the files and make them available to download, in a
> service like FTP. Since Kimchi mailing lists already use oVirt infrastructure,
> I'd like to know if it's possible to be supported by oVirt and how to do that.
> Thanks and best regards, Paulo.
> --
> Paulo Ricardo Paz Vital
> Linux Technology Center, IBM Systems
> http://www.ibm.com/linux/ltc/
--
This message was sent by Atlassian JIRA
(v1000.499.4#100018)
8 years, 1 month